# 加载脚本文件与样式文件的小工具

在某些应用场景中需要根据配置自定义加载某些Javascript插件，通常包括插件的依赖脚本和样式，popoload可以通过配置完成插件及其依赖的加载。

## 安装

```js
npm i popoload
```

或者

```js
<script src="./js/popoload.min.js"></script>
```

## 使用

```js

PL({
    config: {
        path: {
            bootcdn: 'https://cdn.bootcss.com/'
        }
    },
    libs: [
        'bootcdn:jquery/3.1.1/jquery.min.js',
        'bootcdn:leaflet/1.3.1/leaflet.js'
    ],
    styles: [
        'bootcdn:leaflet/1.3.1/leaflet.css'
    ],
    loaded: function() {
        if($ && L) {
            $(document.body).html('All resource loaded.');
        }
    }
});

```

## 配置

|配置项|类型|说明|
|-|-|-|
|config|Object|配置|
|config.path|Object|key-value结构，key为引用词, value为实际引用路径|
|libs|Array|依赖库脚本列表，值为 config.path 中定义的key + ":" + 依赖库文件|
|styles|Array|依赖库样式列表，值为 config.path 中定义的key + ":" + 依赖库文件|
|loaded|Function|加载完成回调方法|